Announcement

Collapse
No announcement yet.

Error actualizar vb 4.2.2 a 5.1.1

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error actualizar vb 4.2.2 a 5.1.1

    Hola amigos, tengo problemas para actualizar de versión vBulletin, actualmente tengo la versión 4.2.2 y quiero cambiarme a la versión 5.1.1.

    Hago el siguiente procedimiento.

    1- Respaldo de todos los archivos de la raíz del host.
    2- Respaldo de la base de datos
    3- Desinstalar todos los estilos y dejar solo el Default.
    4- Desinstalar los idiomas y dejar el original (Ingles).
    5- Desinstalar todos los complementos (Addons / Pluggins ).
    6 Subir los files de vBulletin 5.1.1 en la raiz ( configurar los config )
    Cuando empiezo el upgrade siguiendo la ruta "URL/core/install/upgrade.php"

    Me salta el siguiente error.

    Status: Aborted

    <?xml version="1.0" encoding="windows-1252"?>
    <b>API Error</b><br><b>Error:</b> invalid_contenttype_class_specified<br><b>Args:</b><br><pre style="font-family:Lucida Console,Monaco5,monospace;font-size:small;overflow:auto;border:1px solid #CCC;">array (
    0 =&gt; '29',
    )</pre>
    Cabe destacar, que viendo los detalles de la instalacion, el proceso se paraliza al llegar al paso 131.

    Step 128 - Updating widget table
    Step 129 - Updating pagetemplate table
    Step 130 - Altering editlog Table (2 of 7)
    Step 131 - Updating page table
    Necesito ayuda tengo 2 días intentando pero no encuentro solución.

  • #2
    Hola Daniel,

    El error que te da es debido a un bug que aparece en el archivo /core/install/customlanguages/bulletin-custom-language-spanish.xml, reemplaza ese archivo con este otro http://tracker.vbulletin.com/secure/...ge-spanish.xml

    Acá esta el ticket como referencia http://tracker.vbulletin.com/browse/VBV-13014

    Un saludo.
    ...

    Comment


    • #3
      Originally posted by nextgen View Post
      Hola Daniel,

      El error que te da es debido a un bug que aparece en el archivo /core/install/customlanguages/bulletin-custom-language-spanish.xml, reemplaza ese archivo con este otro http://tracker.vbulletin.com/secure/...ge-spanish.xml

      Acá esta el ticket como referencia http://tracker.vbulletin.com/browse/VBV-13014

      Un saludo.
      Hola amigo gracias por tomarte el tiempo de respoder.
      Te informo que la solucion propuesta no fue exitosa, aun sigue presentando el mismo problema.

      Comment


      • #4
        Originally posted by Daniel Muñoz View Post

        Hola amigo gracias por tomarte el tiempo de respoder.
        Te informo que la solucion propuesta no fue exitosa, aun sigue presentando el mismo problema.
        Hola, ¿has reemplazado dicho archivo .xml con el adjunto que aparece el ticket?
        Hábilita el debug en tu foro para ver si muestra algún otro error.
        ¿Has renombrado el archivo el archivo fixed_vbulletin-custom-language-spanish.xml a vbulletin-custom-language-spanish.xml?
        Last edited by nextgen; Wed 18th Jun '14, 10:29am.
        ...

        Comment


        • #5
          Originally posted by nextgen View Post

          Hola, ¿has reemplazado dicho archivo .xml con el adjunto que aparece el ticket?
          Hábilita el debug en tu foro para ver si muestra algún otro error.
          ¿Has renombrado el archivo el archivo fixed_vbulletin-custom-language-spanish.xml a vbulletin-custom-language-spanish.xml?
          El debug me informa.


          <?xml version="1.0" encoding="windows-1252"?> <b>API Error</b><br><b>Error:</b> invalid_contenttype_class_specified<br><b>Args:</b><br><pre style="font-family:Lucida Console,Monaco5,monospace;font-size:small;overflow:auto;border:1px solid #CCC;">array ( 0 =&gt; '29', )</pre>
          #0 /home/tudesblo/public_html/site.com/foros/core/vb/library/content.php(1989): vB_Types->getContentTypeClass('29')
          #1 /home/tudesblo/public_html/site.com/foros/core/vb/library/node.php(2135): vB_Library_Content::getContentLib('29')
          #2 /home/tudesblo/public_html/site.com/foros/core/vb/library/node.php(1972): vB_Library_Node->getNodeFullContent('7', false, Array)
          #3 /home/tudesblo/public_html/site.com/foros/core/vb/library/content.php(222): vB_Library_Node->getNodeContent('7')
          #4 /home/tudesblo/public_html/site.com/foros/core/vb/library/content/channel.php(159): vB_Library_Content->add(Array, Array)
          #5 /home/tudesblo/public_html/site.com/foros/core/vb/xml/import/channel.php(317): vB_Library_Content_Channel->add(Array, Array)
          #6 /home/tudesblo/public_html/site.com/foros/core/vb/xml/import.php(155): vB_Xml_Import_Channel->import()
          #7 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade_final.php(262): vB_Xml_Import->importFromFile('/home/tudesblo/...')
          #8 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade_500a1.php(2520): vB_Upgrade_final->step_7()
          #9 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade.php(1734): vB_Upgrade_500a1->step_132(Array)
          #10 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade_ajax.php(629): vB_Upgrade_Version->execute_step(132, 1, Array)
          #11 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade_ajax.php(413): vB_Upgrade_Ajax->execute_step(132, 0, Object(vB_Upgrade_500a1), Object(vB_XML_Builder_Ajax), 1, NULL, 0, Array)
          #12 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade_ajax.php(148): vB_Upgrade_Ajax->process_step('500a1', 132, 0, 1, NULL, 1, 0, 0, Array)
          #13 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade.php(551): vB_Upgrade_Ajax->init(NULL)
          #14 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade_ajax.php(80): vB_Upgrade_Abstract->__construct(Object(vB_Registry), Array, 'upgrade')
          #15 /home/tudesblo/public_html/site.com/foros/core/install/includes/class_upgrade.php(49): vB_Upgrade_Ajax->__construct(Object(vB_Registry), Array, 'upgrade', NULL, Array)
          #16 /home/tudesblo/public_html/site.com/foros/core/install/upgrade.php(98): vB_Upgrade::fetch_library(Object(vB_Registry), Array, '', true)
          #17 {main}

          Comment


          • #6

            ¿Has realizado el paso que te comente del archivo .xml?

            ¿Has renombrado el archivo el archivo fixed_vbulletin-custom-language-spanish.xml a vbulletin-custom-language-spanish.xml?
            Yo acabo de realizar una actualización en localhost de 4.2.2 a 5.1.1 y aplique los cambios que te mencione y no hubo problemas.





            Si aún no has solucionado tu error te recomiendo que abrás un ticket en el área de miembros.
            ...

            Comment


            • #7
              Originally posted by nextgen View Post
              ¿Has realizado el paso que te comente del archivo .xml?



              Yo acabo de realizar una actualización en localhost de 4.2.2 a 5.1.1 y aplique los cambios que te mencione y no hubo problemas.





              Si aún no has solucionado tu error te recomiendo que abrás un ticket en el área de miembros.
              Si yo uso una base de datos nueva, funciona perfecto. El problema es al querer usar mi base de datos actual.

              Comment


              • #8
                Originally posted by Daniel Muñoz View Post

                Si yo uso una base de datos nueva, funciona perfecto. El problema es al querer usar mi base de datos actual.
                Lo mío no fue en una base de datos nueva, fue en una ya montada en vB4. Otro problema puede ser el tipo de servidor, ¿en que servidor estas alojado?
                Con los cambios que te he fácilitado debería solucionarse el problema, otra ídea que se me ocurre es que intentes actualizar desde localhost y ver si te sucede el mismo error.
                ...

                Comment


                • #9
                  Hola. ¿Están desactivados todos sus addons?
                  Aakif Nazir
                  vBulletin Support Team

                  Comment


                  • #10
                    Originally posted by Aakif N. View Post
                    Hola. ¿Están desactivados todos sus addons?
                    Hola si, los addons los desintale todos antes de hacer el upgrade.
                    Tocando por aqui y tocado por alla, di con que el error es en la base de datos, en la tabla "text" donde el problema es la codificacion

                    Comment

                    Related Topics

                    Collapse

                    Working...
                    X